Personal access tokens
List personal access tokens in a workspace
List active, expired, and revoked personal access tokens in a workspace.
GET
List personal access tokens in a workspace
The organization bot token must have the following scopes:
To learn how PATs work and how members create them, see Personal access tokens.
personal-access-token:read
id from a result as the bot_id when you revoke the token.
Filter results
Usestatus to return active, expired, or revoked tokens. Use creator_ids to filter by the members who created the tokens, and use search to match a token name.
Use bracket encoding to filter by more than one status or creator:
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Admin API version to use for this request.
Available options:
2026-06-01 Path Parameters
Query Parameters
The next_cursor returned by the previous page.
Deprecated; use start_cursor.
Number of results to return. Defaults to 100 and cannot exceed 100.
Token statuses to include. Use bracket encoding for multiple values.
One of: active, expired, revoked
Available options:
active, expired, revoked IDs of members who created the tokens. Use bracket encoding for multiple values.
Case-insensitive text to match against the token name.